<template>
  <div class="filters">
    <div class="filters-title">
      Filtros
    </div>

    <div class="filters-items">
      <div class="filters-item">
        <label for="gender">
          Género
        </label>
        <span v-for="(option, index) in genderOptions" :key="index">
          {{ option }}
          <input
            v-model="filtersApplied.gender"
            name="filterField"
            :value="option"
            type="radio"
          />
        </span>
      </div>

      <div class="filters-item">
        <label for="age">
          Edad
        </label>
        <input
          v-model="filtersApplied.age"
          type="number"
          :min="1"
          :max="99"
        />
      </div>

      <div class="filters-item">
        <label for="nationality">
          Nacionalidad
        </label>
        <select v-model="filtersApplied.nationality">
          <option value="">
            Todas
          </option>
          <option
            :value="option"
            v-for="(option, index) in nationalityOptions"
            :key="index"
            v-text="option"
          />
        </select>
      </div>

      <ButtonComponent
        label="Eliminar filtros"
        @click="resetFilters"
      />
    </div>
  </div>

</template>

<style lang="scss" scoped>
.filters {
  text-align: center;
  margin: 20px auto;
  background-color: #f8f8f8;
  padding: 20px;
  color: #232323;

  &-title {
    margin-bottom: 10px;
    font-weight: bold;
    text-transform: uppercase;
  }

  &-items {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  &-item {
    display: flex;
    align-items: center;
    margin: 10px;
    label {
      font-weight: bold;
      margin-right: 5px;
    }
    input {
      font-size: 12px;
      margin-right: 10px;
    }
  }
}
</style>

<script>
import ButtonComponent from '@/components/ButtonComponent.vue';
import { mapGetters, mapState } from 'vuex';

export default {
  name: 'FilterComponent',

  components: {
    ButtonComponent,
  },

  data() {
    return {
    };
  },

  computed: {
    ...mapState({
      filtersApplied: 'filtersApplied',
    }),
    ...mapGetters({
      genderOptions: 'genderOptions',
      nationalityOptions: 'nationalityOptions',
    }),
  },

  methods: {
    resetFilters() {
      this.$store.dispatch('removeFilters');
    },
  },
};
</script>
